Bug 448187 - pciehp does not get loaded
pciehp does not get loaded
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 03:44 EDT by Ferry Huberts
Modified: 2009-12-18 01:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:10:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferry Huberts 2008-05-24 03:44:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
I have a T60 with 

15:00.0 CardBus bridge: Texas Instruments PCI1510 PC card Cardbus Controller
        Subsystem: Lenovo ThinkPad T60/R60 series
        Flags: bus master, medium devsel, latency 168, IRQ 16
        Memory at e4300000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=15, secondary=16, subordinate=17, sec-latency=176
        Memory window 0: e0000000-e3fff000 (prefetchable)
        Memory window 1: c4000000-c7fff000
        I/O window 0: 0000a000-0000a0ff
        I/O window 1: 0000a400-0000a4ff
        16-bit legacy interface ports at 0001
        Kernel driver in use: yenta_cardbus

For this I need the pciehp module loaded before it works with PCI-Express cards.
pciehp does not get loaded automatically.

Version-Release number of selected component (if applicable):
udev-118-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. present in default install
2. 
3.

The same bug is present in F9 but since I'm posting it from F8 I do not have the correct udev rpm information. Will try to update this report when I boot into F9

Actual Results:


Expected Results:
upon detection of a cardbus controller the pciehp module should get automatically loaded.

Additional info:
at the time I just load the module in /etc/rc.d/rc.local because I wasn't feeling like digging through udev rules myself. I think you guys are way better in that :-)
Comment 1 Ferry Huberts 2008-05-24 05:33:27 EDT
Booted into F9.
lspci -v is the same as for F8.
udev-120-5.20080421git.fc9
kernel 2.6.25.3-18.fc9.x86_64

FYI: by loading the pciehp module my Dawicontrol DC-300 2 port eSATA express
card 'just works' (and other express cards as well, probably, not tested)

you might want to change the version to 9 for this report (I can not change it
myself) or clone the report for F9.
Comment 2 Bug Zapper 2008-11-26 05:45:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ferry Huberts 2008-12-01 13:48:34 EST
I just tested with F10 on my T60:
pciehp get loaded on boot and everything 'just works'
good job!
Comment 4 Ferry Huberts 2008-12-01 14:02:32 EST
correction

sorry, still had modprobe pciehp in my rc.local.

still does _not_ work with F10 unless I load pciehp by hand.
plugging in a card into the slot does not load the module.
Comment 5 Harald Hoyer 2008-12-02 05:07:10 EST
This module should be autoloaded by some module aliases automatically like all others.
Comment 6 Chuck Ebbert 2009-03-28 09:24:19 EDT
pciehp is built-in in the f10 2.6.29 kernel.
Comment 7 Bug Zapper 2009-11-18 05:12:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:10:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.